Skip to main content
GET
Read Change Data Feed from a Table

Path Parameters

share
string
required

Named share for finding the named schema

schema
string
required

Named schema for finding the named table

table
string
required

Named table

Query Parameters

startingTimestamp
string

The starting timestamp of the query, a string in the Timestamp Format, which will be converted to a version created greater or equal to this timestamp.

startingVersion
integer

The starting version of the query, inclusive.

endingVersion
integer

The ending version of the query, inclusive.

endingTimestamp
string

The starting timestamp of the query, a string in the Timestamp Format, which will be converted to a version created greater or equal to this timestamp.

includeHistoricalMetadata
boolean

If set to true, return the historical metadata if seen in the delta log. This is for the streaming client to check if the table schema is still read compatible.

Response

This is the API for clients to read change data feed from a table.

The response is of type string.

Example:

"{\"protocol\": {\"minReaderVersion\": 1}}\n{\"metaData\": {\"id\": \"f8d5c169-3d01-4ca3-ad9e-7dc3355aedb2\",\"format\": {\"provider\": \"parquet\"},\"schemaString\": \"{\\\"type\\\":\\\"struct\\\",\\\"fields\\\":[{\\\"name\\\":\\\"eventTime\\\",\\\"type\\\":\\\"timestamp\\\",\\\"nullable\\\":true,\\\"metadata\\\":{}},{\\\"name\\\":\\\"date\\\",\\\"type\\\":\\\"date\\\",\\\"nullable\\\":true,\\\"metadata\\\":{}}]}\",\"partitionColumns\": [\"date\"],\"configuration\": {\"enableChangeDataFeed\": \"true\"}}}{\"add\": {\"url\": \"https://<s3-bucket-name>.s3.us-west-2.amazonaws.com/delta-exchange-test/table_cdf/date%3D2021-04-28/part-00000-8b0086f2-7b27-4935-ac5a-8ed6215a6640.c000.snappy.parquet?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20210501T010516Z&X-Amz-SignedHeaders=host&X-Amz-Expires=900&X-Amz-Credential=AKIAISZRDL4Q4Q7AIONA%2F20210501%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Signature=97b6762cfd8e4d7e94b9d707eff3faf266974f6e7030095c1d4a66350cfd892e\",\"id\": \"8b0086f2-7b27-4935-ac5a-8ed6215a6640\",\"partitionValues\": {\"date\": \"2021-04-28\"},\"size\":573,\"stats\": \"{\\\"numRecords\\\":1,\\\"minValues\\\":{\\\"eventTime\\\":\\\"2021-04-28T23:33:57.955Z\\\"},\\\"maxValues\\\":{\\\"eventTime\\\":\\\"2021-04-28T23:33:57.955Z\\\"},\\\"nullCount\\\":{\\\"eventTime\\\":0}}\",\"timestamp\": 1652140000000,\"version\": 0}}\n{\"cdf\": {\"url\": \"https://<s3-bucket-name>.s3.us-west-2.amazonaws.com/delta-exchange-test/table_cdf/_change_data/date%3D2021-04-28/part-00000-591723a8-6a27-4240-a90e-57426f4736d2.c000.snappy.parquet?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20210501T010516Z&X-Amz-SignedHeaders=host&X-Amz-Expires=899&X-Amz-Credential=AKIAISZRDL4Q4Q7AIONA%2F20210501%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Signature=0f7acecba5df7652457164533a58004936586186c56425d9d53c52db574f6b62\",\"id\": \"591723a8-6a27-4240-a90e-57426f4736d2\",\"partitionValues\": {\"date\": \"2021-04-28\"},\"size\": 689,\"timestamp\": 1652141000000,\"version\": 1}}\n{\"remove\": {\"url\": \"https://<s3-bucket-name>.s3.us-west-2.amazonaws.com/delta-exchange-test/table_cdf/date%3D2021-04-28/part-00000-8b0086f2-7b27-4935-ac5a-8ed6215a6640.c000.snappy.parquet?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20210501T010516Z&X-Amz-SignedHeaders=host&X-Amz-Expires=900&X-Amz-Credential=AKIAISZRDL4Q4Q7AIONA%2F20210501%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Signature=97b6762cfd8e4d7e94b9d707eff3faf266974f6e7030095c1d4a66350cfd892e\",\"id\": \"8b0086f2-7b27-4935-ac5a-8ed6215a6640\",\"partitionValues\": {\"date\": \"2021-04-28\"},\"size\": 573,\"timestamp\": 1652142000000,\"version\": 2}}\n"

Last modified on August 10, 2026